New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

PHP 7.2 - `Object` is a reserved word #152

Open
robocoder opened this Issue Oct 9, 2017 · 6 comments

Comments

Projects
None yet
3 participants
@robocoder
Contributor

robocoder commented Oct 9, 2017

In PHP 7.2.0RC2, Object is a reserved word. It'll trigger the error, "PHP Fatal error: Cannot use 'Object' as class name as it is reserved ..."

@Geolim4

This comment has been minimized.

Show comment
Hide comment
@Geolim4

Geolim4 Oct 11, 2017

Hope they'll merge it :)

Geolim4 commented Oct 11, 2017

Hope they'll merge it :)

@Geolim4

This comment has been minimized.

Show comment
Hide comment

Geolim4 commented Oct 11, 2017

@Geolim4

This comment has been minimized.

Show comment
Hide comment
@Geolim4

Geolim4 Oct 11, 2017

Just added two PR, awaiting the authors to merge them :)
#153 (develop)
#154 (1.4.x)

Geolim4 commented Oct 11, 2017

Just added two PR, awaiting the authors to merge them :)
#153 (develop)
#154 (1.4.x)

@alexmoore

This comment has been minimized.

Show comment
Hide comment
@alexmoore

alexmoore Oct 12, 2017

Contributor

@Geolim4 @robocoder Unfortunately neither of us work for Basho, nor have access to this repository anymore. You're better off forking and releasing your own version for now.

Contributor

alexmoore commented Oct 12, 2017

@Geolim4 @robocoder Unfortunately neither of us work for Basho, nor have access to this repository anymore. You're better off forking and releasing your own version for now.

@Geolim4

This comment has been minimized.

Show comment
Hide comment
@Geolim4

Geolim4 Oct 20, 2017

Yeah I did that. Gonna fork this in the day. Thanks.

Geolim4 commented Oct 20, 2017

Yeah I did that. Gonna fork this in the day. Thanks.

@Geolim4

This comment has been minimized.

Show comment
Hide comment
@Geolim4

Geolim4 Oct 20, 2017

@robocoder
I just forked and fixed it:
https://github.com/PHPSocialNetwork/riak-php-client/releases
Use composer require phpfastcache/riak-client to install the library.

The versions 3.4.1 and the version 1.4.4 fixes this incompatibility.
FYI, tests were green on the original pull request.

Cheers,
Georges.

Geolim4 commented Oct 20, 2017

@robocoder
I just forked and fixed it:
https://github.com/PHPSocialNetwork/riak-php-client/releases
Use composer require phpfastcache/riak-client to install the library.

The versions 3.4.1 and the version 1.4.4 fixes this incompatibility.
FYI, tests were green on the original pull request.

Cheers,
Georges.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment